Bug 326158 - Name of panels not visible with KDE dark color schemes
Summary: Name of panels not visible with KDE dark color schemes
Status: RESOLVED FIXED
Alias: None
Product: calligrawords
Classification: Unclassified
Component: usability (show other bugs)
Version: 2.7.4
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-17 19:53 UTC by Pablo
Modified: 2013-11-22 10:56 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot (28.54 KB, image/jpeg)
2013-10-17 19:58 UTC, Pablo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pablo 2013-10-17 19:53:43 UTC
Name of panels are not visible with KDE dark themes. Probably not following KDE color scheme.

Reproducible: Always

Steps to Reproduce:
1. Execute "kcmshell4 colors".
2. Set Obsidian Coast as your scheme.
3. Open Calligra Words.
Actual Results:  
Font for name of panels is dark, as it is the background, so it is difficult to read.

Expected Results:  
Font is light colored so it can be read without problems.
Comment 1 Pablo 2013-10-17 19:58:49 UTC
Created attachment 82907 [details]
screenshot
Comment 2 Camilla Boemann 2013-10-17 20:08:12 UTC
Ah those, yes you are right, that we just hardcode that. (or rather just leave it at default black)

Will see if i can make an easy fix
Comment 3 Pablo 2013-10-17 20:23:18 UTC
Thanks!
Comment 4 Camilla Boemann 2013-10-18 07:32:07 UTC
Git commit f14b8c1ab62a29570e23dfb85ab62ba2fb8b62a5 by C. Boemann.
Committed on 18/10/2013 at 07:30.
Pushed by boemann into branch 'master'.

The text color in the modebox tab icons were not drawn accoring to style - this fixes it

M  +1    -0    libs/main/KoModeBox.cpp

http://commits.kde.org/calligra/f14b8c1ab62a29570e23dfb85ab62ba2fb8b62a5
Comment 5 Halla Rempt 2013-11-22 10:56:53 UTC
Git commit ff8d07b97c25ebd3d3ecf1b06a22a3bd1dcd6a66 by Boudewijn Rempt, on behalf of C. Boemann.
Committed on 18/10/2013 at 07:30.
Pushed by rempt into branch 'calligra/2.7'.

The text color in the modebox tab icons were not drawn accoring to style - this fixes it

M  +1    -0    libs/main/KoModeBox.cpp

http://commits.kde.org/calligra/ff8d07b97c25ebd3d3ecf1b06a22a3bd1dcd6a66